#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
#define CRP(t, x) const t &x
#define OPL(t, x) bool operator<(CRP(t, x)) const
#define FIL(x, v) memset(x, v, sizeof(x))
#define CLR(x) FIL(x, 0)
#define NE1(x) FIL(x, -1)
#define INF(x) FIL(x, 0x3f)
#ifndef _DEBUG
#define _DEBUG 0
#endif // !_DEBUG
#define IFD if (_DEBUG)
typedef long long ll, i64;
const int N = 1 << 10 | 1;
int a[N][N];
int main()
{
    int n;
    scanf("%d", &n);
    a[0][0] = 1;
    for (int c = 1; c < n; c <<= 1)
        for (int i = 0; i < c; i++)
            for (int j = 0; j < c; j++)
            {
                a[c + i][j] = a[i][c + j] = a[i][j];
                a[c + i][c + j] = a[i][j] ^ 1;
            }
    for (int i = 0; i < n; i++)
        for (int j = 0; j < n; j++)
            printf("%d%c", a[i][j] * 2 - 1, " \n"[j == n - 1]);
    return 0;
}